Examplary
  • Start for free
    Developer docs

    Create practice space

    POSThttps://api.examplary.ai/practice-spaces

    Create a new practice space within your workspace.

    Request body

    namestring· max length: 255required
    sourceMaterialIdsarray string[]
    masteryTopicsarray object[]
    settingsobject
    folderstring· nullable
    permissionsarray object[] | null· nullable
    studentNotesstring· nullable
    publishedstring

    Allowed values:publishedunpublished

    metadataobject

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    Requirements

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the practice-spaces:write scope to be present.